Bug 1471349 - qbittorrent adds unneeded dependency on python2
qbittorrent adds unneeded dependency on python2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qbittorrent (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabio Alessandro Locati
Fedora Extras Quality Assurance
:
Depends On:
Blocks: depchain PYTHON3-UPSTREAM
  Show dependency treegraph
 
Reported: 2017-07-15 00:19 EDT by Matías Zúñiga
Modified: 2017-07-18 18:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: qbittorrent-3.3.13-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-18 18:23:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matías Zúñiga 2017-07-15 00:19:29 EDT
Description of problem:
The fedora qbittorrent package depends on python2, but upstream supports both python2 and python3, actually preferring python3 when available [1].

The fedora default stack is python3, and this dependency adds unneeded (and unused) packages to the system

[1] https://github.com/qbittorrent/qBittorrent/commit/e34cc79dad10ea39fd01f03d4e2de5a6b680b9f9
Comment 1 Charalampos Stratakis 2017-07-16 07:55:21 EDT
It seems it drags python2 through an explicit runtime dependency [0], should be fairly easy to just change that to python3.

[0] http://pkgs.fedoraproject.org/cgit/rpms/qbittorrent.git/tree/qbittorrent.spec#n41
Comment 2 Fedora Update System 2017-07-17 09:24:29 EDT
qbittorrent-3.3.13-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6789ecd223
Comment 3 Fedora Update System 2017-07-17 20:24:28 EDT
qbittorrent-3.3.13-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6789ecd223
Comment 4 Fedora Update System 2017-07-18 18:23:42 EDT
qbittorrent-3.3.13-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.